Bug 1000870 - Review Request: nini - An uncommonly powerful .NET configuration library
Review Request: nini - An uncommonly powerful .NET configuration library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: 605840 759139 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-08-25 22:22 EDT by Christopher Meng
Modified: 2013-12-13 22:01 EST (History)
5 users (show)

See Also:
Fixed In Version: nini-1.1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-13 22:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-25 22:22:27 EDT
Spec URL: http://cicku.me/nini.spec
SRPM URL: http://cicku.me/nini-1.1.0-1.fc21.src.rpm 
Description: Nini is an uncommonly powerful .NET configuration library designed to help 
build highly configurable applications quickly.
Fedora Account System Username: cicku
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-11-10 16:58:05 EST
1. Package is noarch, so the -devel should not require %{name}%{?_isa}, just plain %{name}.

2. %description should be a bit more informative about what the library does, and should not repeat the blurb "uncommonly powerful" which doesn't really mean much.

3. The contents of the "Docs" directory could be moved one level up (so there would be /usr/share/doc/nini/Reference/, /usr/share/doc/nini/Manual).

- License is OK
- package name is OK
- spec is nice and clear
- sources are downloadable and match the srpm
- dist tag is there
- no build root or other obsolete stuff
- license is ok, file present and installed
- latest version
- follows Mono guidelines
- %files is OK

rpmlint nini:
nini.src:37: E: hardcoded-library-path in %{_prefix}/lib/nini
nini.src:39: E: hardcoded-library-path in %{_prefix}/lib/nini/
nini.src:46: E: hardcoded-library-path in %{_prefix}/lib/nini/
It's OK per mono guidelines.

nini.src:41: W: macro-in-comment %{name}
nini.src:41: W: macro-in-comment %{buildroot}
nini.src:41: W: macro-in-comment %{_prefix}
That comment could be removed.

nini.src: W: invalid-url Source0: http://downloads.sourceforge.net/project/nini/Nini/1.1.0/Nini-1.1.0.zip timed out
Works for me.

% rpmlint nini-devel
nini-devel.noarch: W: no-documentation
nini-devel.noarch: W: spurious-executable-perm /usr/share/pkgconfig/nini.pc
${SOURCE1} should be -x.

Nice and clean module issues noted above.

Package is APPROVED.
Comment 2 Christopher Meng 2013-11-19 07:25:23 EST
New Package SCM Request
Package Name: nini
Short Description: An uncommonly powerful .NET configuration library
Owners: cicku
Branches: f20
Comment 3 Gwyn Ciesla 2013-11-19 07:59:24 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-11-20 21:15:58 EST
nini-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
Comment 5 Fedora Update System 2013-11-21 04:31:37 EST
nini-1.1.0-2.fc20 has been submitted as an update for Fedora 20.
Comment 6 Christopher Meng 2013-11-23 19:03:45 EST
*** Bug 605840 has been marked as a duplicate of this bug. ***
Comment 7 Christopher Meng 2013-11-23 19:05:40 EST
*** Bug 759139 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2013-11-23 22:27:59 EST
nini-1.1.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-12-13 22:01:02 EST
nini-1.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.